=== debian/changelog ===
node-mocha (1.20.1-7) unstable; urgency=medium

  * Team upload
  * Fix http test (Closes: #858593 hopefully) 

 -- Bastien Roucariès <rouca@debian.org>  Mon, 27 Mar 2017 00:10:16 +0200

node-mocha (1.20.1-6) unstable; urgency=medium

  * There were more tcp ports involved in the test suite, changing them
    too (Closes: #858593 hopefully)
  * Update Vcs-Browser in d/control to use git instead of gitweb
  * Add LC_ALL to sort to make build reproducible (Closes: #856807) thanks
    Chris

 -- Paul Gevers <elbrus@debian.org>  Sun, 26 Mar 2017 21:14:56 +0200

node-mocha (1.20.1-5) unstable; urgency=medium

  * Team upload
  * Add NET traces to tests to enable debugging FTBFS on build daemons
    (thanks to broucaries on IRC for the suggestion)

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Mar 2017 21:54:41 +0100

node-mocha (1.20.1-4) unstable; urgency=medium

  * Team upload
  * Try to prevent FTBFS due to tests (Closes: #858593)
    - Increasing the timeout
    - Changing the tcp port number to an unofficial high port

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Mar 2017 09:05:02 +0100

node-mocha (1.20.1-3) unstable; urgency=medium

  * Team upload
  * Add dependency in mocha on libjs-mocha (Closes: #858497)

 -- Paul Gevers <elbrus@debian.org>  Thu, 23 Mar 2017 22:01:16 +0100

node-mocha (1.20.1-2) unstable; urgency=medium

  * Patch to remove customFds deprecation warning
  * Patch to remove CoffeeScript.register deprecation warning,
    Closes: #792065.
  * Symlink mocha.js, mocha.css from libjs-mocha to known places
    for node-mocha to be able to find them. Closes: #785302.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Apr 2016 00:43:45 +0200

node-mocha (1.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 15 Jun 2014 16:52:48 +0200

node-mocha (1.20.0-1) unstable; urgency=low

  * Initial release (Closes: #747416)

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 01 Jun 2014 22:09:59 +0200
