=== debian/control ===
Source: node-mocha
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>, Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , nodejs
 , coffeescript
 , node-should
 , node-diff
 , node-growl
 , node-mkdirp
 , node-commander
 , node-debug
 , node-diff
 , node-glob
 , uglifyjs
Standards-Version: 3.9.7
Homepage: http://mochajs.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git

Package: mocha
Provides: node-mocha
Architecture: all
Suggests: node-jscoverage
Depends:
 ${misc:Depends}
 , libjs-mocha
 , nodejs
 , node-growl
 , node-jade
 , node-mkdirp
 , node-commander
 , node-debug
 , node-diff
 , node-glob
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-mocha
Architecture: all
Recommends: javascript-common
Depends:
 ${misc:Depends}
Description: simple, flexible, fun test framework - JavaScript library
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
