=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f mocha.min.js

override_dh_auto_build:
	dh_auto_build
	uglifyjs -o mocha.min.js mocha.js

override_dh_auto_test:
	NODE_DEBUG=net make test-all

override_dh_installchangelogs:
	dh_installchangelogs -k History.md
