## node-mocha 4.0.1

=== debian/changelog ===
node-mocha (4.0.1-3) unstable; urgency=medium

  * Team upload
  * Fix conflict with mocha.css (remove it from mocha.install)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Dec 2017 16:57:07 +0530

node-mocha (4.0.1-2) unstable; urgency=medium

  * Fix dependency on node-escape-string-regexp

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Dec 2017 10:42:59 +0100

node-mocha (4.0.1-1) unstable; urgency=medium

  * Team upload

  [ Leo Iannacone ]
  * Imported Upstream version 2.2.5
  * Bump Standards-Version 3.9.6
  * debian/control:
    - add node-jade as builddep
    - update homepage - thanks to Chris Lamb (closes: #773662)
  * Refresh patches
  * 0003_image_and_css_in_usr_share.patch: rename patch - install
    read mocha.css from usr/share
  * debian/copyright:
    - add entry about escape-string-regex and supports-color
    - update project urls
    - bump copyright years
  * debian/mocha.install:
    - install mocha.css in usr/share (closes: #785302)
    - install escape-string-regexp files
    - install supports-color files
  * debian/watch: update download url
  * Add autopkgtest suite

  [ Jérémy Lal ]
  * Imported Upstream version 2.4.5
  * Remove support/compile.js copyright

  [ Julien Puydt ]
  * Bump debian compat to 10.
  * Bump standards-version to 4.0.0.

  [ Pirate Praveen ]
  * Switch to webpack from browserify
  * change section, bump standards
  * update dependencies
  * fix fs issue
  * change test-all to test
  * add node-browser-stdout to depends

  [ Jérémy Lal ]
  * Remove old copyright statement
  * Fix old embedded modules
  * Build-Depends rimraf, expect.js
  * Remove old XS-Testsuite field
  * Run make test-node for autopkgtest
  * (Build)-Depend node-commander >= 2.11.0
  * Drop installchangelog override
  * Update copyright holders
  * Priority: optional
  * Secure Vcs uri

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Dec 2017 00:53:51 +0100
