=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: node-mocha
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Leo Iannacone <l3on@ubuntu.com>, Jérémy Lal <kapouer@melix.org>
+Uploaders: Leo Iannacone <l3on@ubuntu.com>
 Build-Depends:
- debhelper (>= 8)
+ debhelper (>= 10)
  , dh-buildinfo
  , nodejs
- , coffeescript
- , node-should
- , node-diff
  , node-growl
+ , node-jade
  , node-mkdirp
- , node-commander
+ , node-commander (>= 2.11.0)
  , node-debug
  , node-diff
  , node-glob
+ , coffeescript
+ , node-should
  , uglifyjs
-Standards-Version: 3.9.7
-Homepage: http://mochajs.org/
+ , webpack
+ , node-escape-string-regexp
+ , node-he
+ , node-browser-stdout
+ , node-expect.js
+ , node-rimraf
+Standards-Version: 4.1.2
+Homepage: http://mochajs.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-mocha.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-mocha.git
 
 Package: mocha
 Provides: node-mocha
@@ -28,15 +34,18 @@
 Suggests: node-jscoverage
 Depends:
  ${misc:Depends}
- , libjs-mocha
  , nodejs
  , node-growl
  , node-jade
  , node-mkdirp
- , node-commander
+ , node-commander (>= 2.11.0)
  , node-debug
  , node-diff
  , node-glob
+ , node-escape-string-regexp
+ , node-supports-color
+ , node-he
+ , node-browser-stdout
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing
