=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,5 @@
 	uglifyjs -o mocha.min.js mocha.js
 
 override_dh_auto_test:
-	NODE_DEBUG=net make test-all
+	make test-node
 
-override_dh_installchangelogs:
-	dh_installchangelogs -k History.md
