=== debian/tests/control ===
Tests: require
Depends: node-mocha

Test-Command: make test-node
Depends: @, node-rimraf, node-expect.js, node-should
