=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mocha-$1.tar.gz/ \
 https://github.com/mochajs/mocha/tags .*/archive/v?([\d\.]+).tar.gz
