## node-mocha 4.1.0+ds1

=== debian/changelog ===
node-mocha (4.1.0+ds1-2) unstable; urgency=medium

  * Bug fix: "missing-copyright-file /usr/share/doc/mocha/copyright",
    thanks to Thorsten Glaser (Closes: #900032).

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 May 2018 15:13:43 +0200

node-mocha (4.1.0+ds1-1) unstable; urgency=medium

  * Build docs

 -- Bastien Roucariès <rouca@debian.org>  Wed, 23 May 2018 13:27:18 +0200

node-mocha (4.1.0+ds-1) unstable; urgency=medium

  * Team upload
  * Add myself as uploaded
  * Do repack in order to use local library
  * New upstream version
  * Multi-Arch: foreign for libjs-mocha

 -- Bastien Roucariès <rouca@debian.org>  Thu, 17 May 2018 11:02:49 +0200

node-mocha (4.0.1-8) unstable; urgency=medium

  * Be nice with packager provides node-mocha with version.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 14 May 2018 17:45:47 +0200

node-mocha (4.0.1-7) unstable; urgency=medium

  * Fix ci by filtering stderr.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 12 May 2018 10:57:41 +0200

node-mocha (4.0.1-6) unstable; urgency=medium

  * Team upload.
  * Fix broken depends on node-mkdirp (Closes: #898457)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Fri, 11 May 2018 22:29:49 +0200

node-mocha (4.0.1-5) unstable; urgency=medium

  * Team upload
  * Fix breakage due to node-diff

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 May 2018 16:57:14 +0200

node-mocha (4.0.1-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Install correct readme
  * Include mocha.js and mocha.min.js in mocha

  [ Bastien Roucariès ]
  * Bump compat and policy
  * Bug fix: "manpage contains broken link", thanks to
    paolo.greppi@libpf.com</a>; (Closes: #876435).
  * Bug fix: "node-mocha FTBFS with nodejs 6.11.2: test failures", thanks
    to Adrian Bunk (Closes: #872613). Add missing depends.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 May 2018 14:33:53 +0200
