=== debian/control ===
Source: node-mocha
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs (>= 6)
 , node-browser-stdout (>= 1.3.0) <!nocheck>
 , node-commander (>= 2.11.0) <!nocheck>
 , node-debug (>= 3.1) <!nocheck>
 , node-diff (>= 1.3) <!nocheck>
 , node-escape-string-regexp (>= 1.0.5) <!nocheck>
 , node-glob (>= 7.1.2) <!nocheck>
 , node-growl (>= 1.7.0) <!nocheck>
 , node-he (>= 1.1.1) <!nocheck>
 , node-mkdirp (>= 0.5.1) <!nocheck>
 , node-supports-color (>= 4.4.0) <!nocheck>
 , node-assert (>= 1.4.1) <!nocheck>
 , node-buffer (>= 4.9.1) <!nocheck>
 , coffeescript (>= 1.10.0) <!nocheck>
 , node-cross-spawn (>= 5.1.0) <!nocheck>
 , node-expect.js (>= 0.3.1) <!nocheck>
 , node-rimraf (>= 2.5.2) <!nocheck>
 , node-should (>= 8.4) <!nocheck>
 , node-through2 (>= 2.0.3) <!nocheck>
 , node-uglify (>= 2)
 , webpack (>= 3.5.6)
 , oxygen-icon-theme (>= 5:5.45.0)
 , jekyll (>= 3) <!nodoc>
Standards-Version: 4.1.4
Homepage: http://mochajs.org
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha

Package: mocha
Provides: node-mocha (= ${source:Version})
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends:
 ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout (>= 1.3.0)
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp (>= 1.0.5)
 , node-glob (>= 7.1.2)
 , node-growl (>= 1.7.0)
 , node-he (>= 1.1.1)
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , libjs-mocha (= ${source:Version})
 , oxygen-icon-theme (>= 5:5.45.0)
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-mocha
Architecture: all
Recommends: javascript-common
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: simple, flexible, fun test framework - JavaScript library
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
