=== debian/tests/control ===
Tests: require
Depends: node-mocha, nodejs (>= 6)

Tests: runtestsuite
Depends: node-mocha,
 , node-assert (>= 1.4.1)
 , node-buffer (>= 4.9.1)
 , coffeescript (>= 1.10.0)
 , node-cross-spawn (>= 5.1.0)
 , node-expect.js (>= 0.3.1)
 , node-rimraf (>= 2.5.2)
 , node-should (>= 8.4)
 , node-through2 (>= 2.0.3)
