=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mochajs/mocha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
