## node-mocha 4.1.0+ds2

=== debian/changelog ===
node-mocha (4.1.0+ds2-2) unstable; urgency=medium

  * Relax dependency on oxygen-icon-theme for mocha

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Nov 2018 16:29:22 +0100

node-mocha (4.1.0+ds2-1) unstable; urgency=medium

  * Remove Gemfile fix "node-mocha FTBFS: in `require:
    cannot load such file --
    bundler (LoadError)", thanks to Helmut Grohne (Closes: #911552).
  * Bug fix: "Please stop (build-)depending on oxygen-icon-theme", thanks
    to Marga Manterola (Closes: #908133).
    Relax dependency on oxygen-icon-theme. This package is still needed
    due to source lacking for this two icons in node-mocha.
    Icons are imported from oxygen-icon-theme by upstream
  * Use git dpm

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Nov 2018 16:06:44 +0100
