=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
  , node-through2 (>= 2.0.3) <!nocheck>
  , node-uglify (>= 2)
  , webpack (>= 3.5.6)
- , oxygen-icon-theme (>= 5:5.45.0)
+ , oxygen-icon-theme
  , jekyll (>= 3) <!nodoc>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://mochajs.org
 Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
@@ -53,7 +53,7 @@
  , node-mkdirp (>= 0.5.1)
  , node-supports-color (>= 4.4.0)
  , libjs-mocha (= ${source:Version})
- , oxygen-icon-theme (>= 5:5.45.0)
+ , oxygen-icon-theme
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing
