=== debian/changelog ===
node-mocha (4.1.0+ds3-5) unstable; urgency=medium

  * Team upload
  * Add missing link. Fixes debci

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 Feb 2019 14:53:04 +0100

node-mocha (4.1.0+ds3-4) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Switch to rollup from webpack (Closes: #921798)

  [ Xavier Guimard ]
  * Use debian/clean
  * Don't publish libjs-mocha for now and modify install (Closes: #917295)
  * Switch tests to pkg-js-tools
  * Change homepage to https://mochajs.org

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Feb 2019 21:02:00 +0100

node-mocha (4.1.0+ds3-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update patch to increase more test timeouts. Fix debci.
  * Hide lintian warning "please use libjs-mocha".
  * Add upstream/metadata file.

  [ Bastien Roucariès ]
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Mon, 14 Jan 2019 16:40:56 +0100

node-mocha (4.1.0+ds3-2) unstable; urgency=medium

  * Increase test timeouts, thanks to Xavier Guimard. Fix debci.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 11 Jan 2019 23:55:29 +0100

node-mocha (4.1.0+ds3-1) unstable; urgency=high

  * Remove sourceless chai. Link to libjs-chai (Closes: #917328)
  * Add missing link to map file.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Dec 2018 10:10:34 +0100

node-mocha (4.1.0+ds2-3) unstable; urgency=high

  * Fix libjs-mocha by changing webpack options to be like
    upstream browserify command line (Closes: #917294)
  * Create map file for libjs-mocha

 -- Bastien Roucariès <rouca@debian.org>  Tue, 25 Dec 2018 19:29:45 +0100
