=== debian/control ===
Source: node-mocha
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs (>= 6)
 , rollup
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-buble
 , node-browser-stdout <!nocheck>
 , node-commander (>= 2.11.0) <!nocheck>
 , node-debug (>= 3.1) <!nocheck>
 , node-diff (>= 1.3) <!nocheck>
 , node-escape-string-regexp <!nocheck>
 , node-glob (>= 7.1.2) <!nocheck>
 , node-growl <!nocheck>
 , node-he <!nocheck>
 , node-mkdirp (>= 0.5.1) <!nocheck>
 , node-supports-color (>= 4.4.0) <!nocheck>
 , node-assert <!nocheck>
 , node-buffer <!nocheck>
 , coffeescript (>= 1.10.0) <!nocheck>
 , node-cross-spawn (>= 5.1.0) <!nocheck>
 , node-expect.js <!nocheck>
 , node-rimraf (>= 2.5.2) <!nocheck>
 , node-should (>= 8.4) <!nocheck>
 , node-through2 (>= 2.0.3) <!nocheck>
 , pkg-js-tools
 , uglifyjs
 , node-source-map
# , webpack (>= 3.5.6)
 , oxygen-icon-theme
 , jekyll (>= 3) <!nodoc>
 , libjs-chai <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Homepage: https://mochajs.org

Package: mocha
Architecture: all
Depends: ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp
 , node-glob (>= 7.1.2)
 , node-growl
 , node-he
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , oxygen-icon-theme
Suggests: chai
Pre-Depends: dpkg (>= 1.17.14)
Provides: node-mocha (= ${source:Version})
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

#Package: libjs-mocha
#Architecture: all
#Recommends: javascript-common
#Multi-Arch: foreign
#Depends:
# ${misc:Depends}
# , mocha
#Suggests: libjs-chai <!nodoc>
#Description: simple, flexible, fun test framework - JavaScript library
# Mocha is a feature-rich JavaScript test framework running
# on Node.js and browser, making asynchronous testing
# simple and fun.
# .
# Mocha tests run serially, allowing for flexible and accurate
# reporting, while mapping uncaught exceptions to the correct
# test cases.
