## node-mocha 7.0.1+ds1

=== debian/changelog ===
node-mocha (7.0.1+ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Update copyright
  * Update manpage (Closes: #942116)
  * Remove useless debian/mocha.dirs

 -- Xavier Guimard <yadd@debian.org>  Thu, 13 Feb 2020 20:15:40 +0100

node-mocha (7.0.1+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.0.1+ds1
  * Add dependency to node-chokidar
  * Don't launch test during build to avoid circular dependencies

 -- Xavier Guimard <yadd@debian.org>  Thu, 06 Feb 2020 15:32:22 +0100

node-mocha (6.2.0+ds1-5) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests
  * Update lintian overrides
  * Require node-lodash ≥ 4.17.15+dfsg-2~ to avoid autopkgtest regressions

 -- Xavier Guimard <yadd@debian.org>  Fri, 31 Jan 2020 06:30:34 +0100

node-mocha (6.2.0+ds1-4) experimental; urgency=medium

  * Team upload
  * Add dependency to node-chalk
  * Build depends on pkg-js-tools ≥ 0.9.19~ to fix component install

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Nov 2019 06:54:44 +0100

node-mocha (6.2.0+ds1-3) experimental; urgency=medium

  * Team upload
  * Require pkg-js-tools ≥ 0.9.18 to fix yargs-unparser install (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Nov 2019 18:20:20 +0100

node-mocha (6.2.0+ds1-2) experimental; urgency=medium

  * Team upload
  * Update debian/copyright
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add dependency to node-is-buffer (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Nov 2019 22:11:59 +0100

node-mocha (6.2.0+ds1-1) experimental; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Fix repacksuffix
  * New upstream version 6.2.0+ds1 (Closes: #939461)
  * Refresh patches
  * Update rollup config and use rollup-plugin-ignore (embedded)
  * Switch build and install to pkg-js-tools
  * Embed ansi-colors, log-symbols, node-environment-flags, object.assign,
    object-keys, has-symbols and flat as components
  * Add node-define-properties in dependencies
  * Replace oxygen-icon-theme dependency by a simple copy of the 2 images
    needed (Closes: #935323)
  * Embed object-keys, has-symbols and flat
  * Update lintian overrides
  * Replace test by a simple mocha --help (waiting for "unexpected" package)
  * Remove jekyll from build dependencies

 -- Xavier Guimard <yadd@debian.org>  Sat, 07 Sep 2019 20:18:02 +0200
