=== debian/control ===
Source: node-mocha
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Bastien Roucariès <rouca@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs (>= 6)
 , rollup
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-buble
 , node-rollup-plugin-json
 , node-buble
 , pkg-js-tools (>= 0.9.19~)
 , uglifyjs
 , node-source-map
# , webpack (>= 3.5.6)
 , oxygen-icon-theme
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
Homepage: https://mochajs.org
Rules-Requires-Root: no

Package: mocha
Architecture: all
Depends: ${misc:Depends}
 , nodejs (>= 4)
 , node-browser-stdout
 , node-chalk
 , node-chokidar
 , node-commander (>= 2.11.0)
 , node-debug (>= 3.1)
 , node-define-properties
 , node-diff (>= 1.3.0)
 , node-escape-string-regexp
 , node-function-bind
 , node-glob (>= 7.1.2)
 , node-growl (>= 1.10.5)
 , node-he (>= 1.2.0)
 , node-is-buffer
 , node-js-yaml (>= 3.13.1)
 , node-lodash (>= 4.17.15+dfsg-2~)
 , node-minimatch (>= 3.0.4)
 , node-mkdirp (>= 0.5.1)
 , node-supports-color (>= 4.4.0)
 , node-wide-align (>= 1.1.3)
 , node-yargs(>= 13.2.2)
 , node-yargs-parser (>= 13.0.0)
Suggests: chai
Provides: node-mocha (= ${source:Version})
Description: simple, flexible, fun test framework - Node.js module
 Mocha is a feature-rich JavaScript test framework running
 on Node.js and browser, making asynchronous testing
 simple and fun.
 .
 Mocha tests run serially, allowing for flexible and accurate
 reporting, while mapping uncaught exceptions to the correct
 test cases.
 .
 Node.js is an event-based server-side JavaScript engine.

#Package: libjs-mocha
#Architecture: all
#Recommends: javascript-common
#Multi-Arch: foreign
#Depends:
# ${misc:Depends}
# , mocha
#Suggests: libjs-chai <!nodoc>
#Description: simple, flexible, fun test framework - JavaScript library
# Mocha is a feature-rich JavaScript test framework running
# on Node.js and browser, making asynchronous testing
# simple and fun.
# .
# Mocha tests run serially, allowing for flexible and accurate
# reporting, while mapping uncaught exceptions to the correct
# test cases.
