## node-mocha 7.0.1+ds1+~cs28.9.11

=== debian/changelog ===
node-mocha (7.0.1+ds1+~cs28.9.11-1) unstable; urgency=medium

  * Team upload
  * Embed @types/mocha
  * New upstream version 7.0.1+ds1+~cs28.9.11
  * Add dependency to node-strip-json-comments (Closes: #968182)
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Oct 2020 11:39:49 +0200
