=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , nodejs (>= 6)
- , rollup
+ debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , node-source-map
  , node-rollup-plugin-node-resolve
  , node-rollup-plugin-commonjs
  , node-rollup-plugin-buble
  , node-rollup-plugin-json
  , node-buble
- , pkg-js-tools (>= 0.9.19~)
+ , nodejs (>= 6)
+ , oxygen-icon-theme
+ , rollup
  , uglifyjs
- , node-source-map
 # , webpack (>= 3.5.6)
- , oxygen-icon-theme
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mocha
 Vcs-Git: https://salsa.debian.org/js-team/node-mocha.git
@@ -29,6 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}
  , nodejs (>= 4)
+ , node-ansi-colors
  , node-browser-stdout
  , node-chalk
  , node-chokidar
@@ -47,11 +48,13 @@
  , node-minimatch (>= 3.0.4)
  , node-mkdirp (>= 0.5.1)
  , node-supports-color (>= 4.4.0)
+ , node-strip-json-comments
  , node-wide-align (>= 1.1.3)
  , node-yargs(>= 13.2.2)
  , node-yargs-parser (>= 13.0.0)
 Suggests: chai
 Provides: node-mocha (= ${source:Version})
+Breaks: node-typescript-types (<< 20201003-1~)
 Description: simple, flexible, fun test framework - Node.js module
  Mocha is a feature-rich JavaScript test framework running
  on Node.js and browser, making asynchronous testing
