=== debian/watch ===
version=4
opts="repacksuffix=+ds1, \
dversionmangle=s/\+(?:dfsg|ds)\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/mochajs/mocha/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz group

opts=\
component=log-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-log-symbols-$1.tar.gz/ \
 https://github.com/sindresorhus/log-symbols/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=node-environment-flags,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-environment-flags-$1.tar.gz/ \
 https://github.com/boneskull/node-environment-flags/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=objectassign,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object.assign-$1.tar.gz/ \
 https://github.com/ljharb/object.assign/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=yargs-unparser,pgpmode=none" \
 https://registry.npmjs.org/yargs-unparser https://registry.npmjs.org/yargs-unparser/-/yargs-unparser-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=object-keys,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-object-keys-$1.tar.gz/ \
 https://github.com/ljharb/object-keys/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=has-symbols,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-has-symbols-$1.tar.gz/ \
 https://github.com/ljharb/has-symbols/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=flat,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-flat-$1.tar.gz/ \
 https://github.com/hughsk/flat/tags .*/archive/v?([\d\.]+).tar.gz checksum

### TEST DEPENDENCIES, will be packaged separately
#opts=\
#component=unexpected,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-unexpected-$1.tar.gz/ \
# https://github.com/unexpectedjs/unexpected/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=greedy-interval-packer,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-greedy-interval-packer-$1.tar.gz/ \
# https://github.com/One-com/greedy-interval-packer/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=magicpen,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-magicpen-$1.tar.gz/ \
# https://github.com/sunesimonsen/magicpen/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
#opts=\
#component=color-diff,\
#dversionmangle=auto,\
#filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-color-diff-$1.tar.gz/ \
# https://github.com/markusn/color-diff/tags .*/archive/v?([\d\.]+).tar.gz checksum
#
## It is not recommended use npmregistry. Please investigate more.
## Take a look at https://wiki.debian.org/debian/watch/
#opts="searchmode=plain,component=unexpected-bluebird,pgpmode=none" \
